List location financial orders
curl --request GET \
--url https://server.chataigne.ai/v1/locations/{location_id}/orders/financials \
--header 'x-api-key: <api-key>'import requests
url = "https://server.chataigne.ai/v1/locations/{location_id}/orders/financials"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://server.chataigne.ai/v1/locations/{location_id}/orders/financials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"data": [
{
"order_id": "<string>",
"order_reference": "<string>",
"location_id": "<string>",
"location_name": "<string>",
"organization_id": "<string>",
"organization_name": "<string>",
"order_created_at": "2023-11-07T05:31:56Z",
"order_timezone": "<string>",
"currency": "<string>",
"channel": "<string>",
"service_type": "<string>",
"order_status": "<string>",
"payment_status": "<string>",
"customer_paid_total_cents": 123,
"customer_service_fee_cents": 123,
"customer_delivery_fee_cents": 123,
"delivery_count": 1,
"delivery_provider": "<string>",
"provider_delivery_cost_cents": 123,
"provider_delivery_cost_source": "delivery_response",
"chataigne_order_fee_cents": 123,
"chataigne_payment_fee_cents": 123,
"psp_processing_fee_cents": 123,
"psp_fee_coverage_status": "covered",
"payment_refunded_cents": 123
}
],
"has_more": true,
"url": "<string>"
}{
"error": {
"type": "invalid_request_error",
"code": "resource_missing",
"message": "<string>",
"request_id": "req_8f2c…",
"param": "<string>",
"details": {}
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_missing",
"message": "<string>",
"request_id": "req_8f2c…",
"param": "<string>",
"details": {}
}
}Orders
List location financial orders
GET
/
v1
/
locations
/
{location_id}
/
orders
/
financials
List location financial orders
Authorizations
Location/organization API key.
Path Parameters
Query Parameters
Page size (1–100).
Required range:
1 <= x <= 100Return the next page after this financial order id.
Return the preceding page before this financial order id.
Include orders created at or after this ISO 8601 timestamp.
Include orders created at or before this ISO 8601 timestamp.